<?php 	

function the_tour_operator_remove_customize_register() {
    global $wp_customize;

    $wp_customize->remove_setting( 'adventure_travelling_mail_text' );
    $wp_customize->remove_control( 'adventure_travelling_mail_text' );

    $wp_customize->remove_setting( 'adventure_travelling_call_text' );
    $wp_customize->remove_control( 'adventure_travelling_call_text' );

    $wp_customize->remove_setting( 'adventure_travelling_call' );
    $wp_customize->remove_control( 'adventure_travelling_call' );    
}
add_action( 'customize_register', 'the_tour_operator_remove_customize_register', 11 );

function the_tour_operator_customize_register( $wp_customize ) {

	$wp_customize->add_section( 'the_tour_operator_trip_offer_section' , array(
    	'title'      => __( 'Trip Offers Settings', 'the-tour-operator' ),
		'panel' => 'adventure_travelling_panel_id'
	) );

	$wp_customize->add_setting('the_tour_operator_offer_section_short_title',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('the_tour_operator_offer_section_short_title',array(
		'label'	=> __('Short Title','the-tour-operator'),
		'section'	=> 'the_tour_operator_trip_offer_section',
		'type'		=> 'text'
	));
	$wp_customize->selective_refresh->add_partial( 'the_tour_operator_offer_section_short_title', array(
		'selector' => '#travel-offer h6',
		'render_callback' => 'the_tour_operator_customize_partial_the_tour_operator_offer_section_short_title',
	) );

	$wp_customize->add_setting('the_tour_operator_offer_section_tittle',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('the_tour_operator_offer_section_tittle',array(
		'label'	=> __('Section Title','the-tour-operator'),
		'section'	=> 'the_tour_operator_trip_offer_section',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('the_tour_operator_offer_section_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('the_tour_operator_offer_section_text',array(
		'label'	=> __('Section Description','the-tour-operator'),
		'section'	=> 'the_tour_operator_trip_offer_section',
		'type'		=> 'text'
	));

	$categories = get_categories();
	$cats = array();
	$i = 0;
	$offer_cat[]= 'select';
	foreach($categories as $category){
		if($i==0){
			$default = $category->slug;
			$i++;
		}
		$offer_cat[$category->slug] = $category->name;
	}

	$wp_customize->add_setting('the_tour_operator_offer_section_category',array(
		'default'	=> 'select',
		'sanitize_callback' => 'adventure_travelling_sanitize_choices',
	));
	$wp_customize->add_control('the_tour_operator_offer_section_category',array(
		'type'    => 'select',
		'choices' => $offer_cat,
		'label' => __('Select Category','the-tour-operator'),
		'section' => 'the_tour_operator_trip_offer_section',
	));

}
add_action( 'customize_register', 'the_tour_operator_customize_register' );